PCAP_FILENO(3PCAP)

NAME
pcap_fileno - get the file descriptor for a live capture

SYNOPSIS
#include <pcap/pcap.h>

int pcap_fileno(pcap_t *p);

DESCRIPTION
If p refers to a network device that was opened for a live capture using a combination of pcap_create(3PCAP) and pcap_activate(3PCAP), or using pcap_open_live(3PCAP), pcap_fileno() returns the file descriptor from which captured packets are read.

If p refers to a ``savefile'' that was opened using functions such as pcap_open_offline(3PCAP) or pcap_fopen_offline(3PCAP), a ``dead'' pcap_t opened using pcap_open_dead(3PCAP), or a pcap_t that was created with pcap_create() but that has not yet been activated with pcap_activate(), it returns PCAP_ERROR.

SEE ALSO
pcap(3PCAP)